#ifndef __Talker_h__
#define __Talker_h__
#include <string>
#include "Batch.h"
class Level;
class Talker
{
public:
	Batch *temp;
	Level *level;
	int x;
	float y;
	int z;
	/*int w;
	int h;*/
	bool immobile;
	int type;
	int voice;
	int count;
	std::string text[3];
	int rotation;
	int targetRotation;
	int degreeshift;
	bool active;
	bool doneMoving;
public:
	Talker(Level *lvl, int _x, int _y, int _voice, int _count, int _type, std::string text1, std::string text2, std::string text3);
	bool isAtGridPosition(int x, int y);
	void activate(int rot);
	void update();
	void render();
};
#endif